Subject: Re: [PATCH net-next 3/5] flow_offload: Reject matching on layer 2 miss

From: Simon Horman <[email-masked]>
Date: Fri, 19 May 2023 16:15:49 +0200

On Fri, May 19, 2023 at 05:10:58PM +0300, Ido Schimmel wrote:
> On Fri, May 19, 2023 at 01:33:00PM +0200, Simon Horman wrote:
> > On Thu, May 18, 2023 at 02:33:26PM +0300, Ido Schimmel wrote:
> > > Adjust drivers that support the 'FLOW_DISSECTOR_KEY_META' key to reject
> > > filters that try to match on the newly added layer 2 miss option. Add an
> > > extack message to clearly communicate the failure reason to user space.
> > 
> > Hi Ido,
> > 
> > FLOW_DISSECTOR_KEY_META is also used in the following.
> > Perhaps they don't need updating. But perhaps it is worth mentioning why.
> 
> Good point.
> 
> > 
> >  * drivers/net/ethernet/mediatek/mtk_ppe_offload.c
> 
> This driver does not seem to do anything with this key. TBH, I'm not
> sure what is the purpose of this hunk:
> 
> if (flow_rule_match_key(rule, FLOW_DISSECTOR_KEY_META)) {
> 	struct flow_match_meta match;
> 
> 	flow_rule_match_meta(rule, &match);
> } else {
> 	return -EOPNOTSUPP;
> }
> 
> Felix, can you comment?
> Original patch:
> https://lore.kernel.org/netdev/[email-masked]/

FWIIW, I agree with your analysis here.

> >  * drivers/net/ethernet/netronome/nfp/flower/conntrack.c
> 
> My understanding is that this code is for netfilter offload (not tc)
> which does not use the new bit. Adding a check would therefore be dead
> code. I don't mind adding a check or mentioning in the commit message
> why I didn't add one. Let me know what you prefer.

Let's go with a comment in the commit message.
Thanks.